[CITE-Forum] Conflicts between wcs 1.0 and 1.1

Justin Deoliveira jdeolive at opengeo.org
Mon Aug 11 20:28:37 EDT 2008


Hi All,

I think this issue came up during ows 5 and the wcs 1.1 testbed, but I 
thought I would bring it up again.

Basically its not possible to pass all of the wcs 1.0 test cases while 
wcs 1.1 is active. The reason being that many of the tests omit the 
version parameter from requests, and then test for a particular 
exception. I can provide a list of all the tests that fail if need be.

I am wondering if there is anything that can be done about this? Perhaps 
modifying the wcs 1.0 test suite? Currently the only workaround to pass 
the wcs 1.0 tests in GeoServer is to manually disable wcs 1.1 support... 
which is not ideal.

-Justin

-- 
Justin Deoliveira
Software Engineer, OpenGeo
http://opengeo.org


More information about the CITE-Forum mailing list